## org.eclipse.amp.agf.gef
Class ModelEditPartInput

    java.lang.Object
      org.eclipse.amp.axf.view.ModelInput
          org.eclipse.amp.agf.gef.ModelEditPartInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorInput

    public class ModelEditPartInput

extends ModelInput

Field Summary

Fields inherited from class org.eclipse.amp.axf.view.ModelInput
`model, MODEL_IMAGE`

Constructor Summary
`ModelEditPartInput(IModel model, org.eclipse.gef.EditPartFactory factory)`
`ModelEditPartInput(IModel model, org.eclipse.gef.EditPartFactory factory, org.eclipse.jface.viewers.ISelection initialSelection)`

Method Summary
`org.eclipse.gef.EditPartFactory` `getFactory()`

Methods inherited from class org.eclipse.amp.axf.view.ModelInput
`exists, getAdapter, getImageDescriptor, getModel, getName, getPersistable, getSelection, getToolTipText, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelEditPartInput

    public ModelEditPartInput(IModel model,
                              org.eclipse.gef.EditPartFactory factory,
                              org.eclipse.jface.viewers.ISelection initialSelection)

### ModelEditPartInput

    public ModelEditPartInput(IModel model,
                              org.eclipse.gef.EditPartFactory factory)

Method Detail

### getFactory

    public org.eclipse.gef.EditPartFactory getFactory()